scala.runtime
object ScalaRunTime

[source: `scala/runtime/ScalaRunTime.scala`]

`` `object` ScalaRunTime
  `extends` AnyRef

Value Summary
`val` | BooleanTag : String
`val` | ByteTag : String Names for primitive types, used by array unboxing
`val` | CharTag : String
`val` | DoubleTag : String
`val` | FloatTag : String
`val` | IntTag : String
`val` | LongTag : String
`val` | ShortTag : String

Method Summary
`def` | Seq [a](xs : a*) : Seq[a]
`def` | Try [a](block : => a) : Try[a]
`def` | _equals (x : Product, y : Any) : Boolean
`def` | _equalsWithVarArgs (x : Product, y : Any) : Boolean
`def` | _hashCode (x : Product) : Int
`def` | _toString (x : Product) : String
`def` | arrayValue (x : BoxedArray, elemClass : Class) : AnyRef
`def` | arrayValue (x : BoxedArray, elemTag : String) : AnyRef
`def` | boxArray (value : AnyRef) : BoxedArray
`def` | caseFields (x : Product) : List[Any]
`def` | checkInitialized [T <: AnyRef](x : T) : T
`def` | isArray (x : AnyRef) : Boolean
`def` | isValueClass (clazz : Class) : Boolean
`def` | isValueTag (tag : String) : Boolean

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`abstract class` | Try [a]`extends` AnyRef

Value Details

`` `val` ByteTag : String

  Names for primitive types, used by array unboxing

`` `val` ShortTag : String

`` `val` CharTag : String

`` `val` IntTag : String

`` `val` LongTag : String

`` `val` FloatTag : String

`` `val` DoubleTag : String

`` `val` BooleanTag : String

Method Details

`` `def` isArray(x : AnyRef) : Boolean

`` `def` isValueTag(tag : String) : Boolean

`` `def` isValueClass(clazz : Class) : Boolean

`` `def` checkInitialized[T <: AnyRef](x : T) : T

`` `def` Try[a](block : => a) : Try[a]

`` `def` caseFields(x : Product) : List[Any]

`` `def` _toString(x : Product) : String

`` `def` _hashCode(x : Product) : Int

`` `def` _equals(x : Product, y : Any) : Boolean

`` `def` _equalsWithVarArgs(x : Product, y : Any) : Boolean

`` `def` Seq[a](xs : a*) : Seq[a]

`` `def` arrayValue(x : BoxedArray, elemTag : String) : AnyRef

`` `def` arrayValue(x : BoxedArray, elemClass : Class) : AnyRef

`` `def` boxArray(value : AnyRef) : BoxedArray